@import "../../../index.scss";

.sidebar {
    background-color: $white;
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 1;
    visibility: hidden;
    opacity: 0;
    transition: all 0.25s ease-out;
    z-index: 200;
    &__close-btn {
        position: absolute;
        top: 1rem;
        left: 1rem;
        cursor: pointer;
        z-index: 100;
        svg {
            font-size: 1.5rem;
            color: theme-color('black');
        }
    }
    &__body {
        padding: 1rem 1rem;
    }

    &__links {
        padding: 1rem;
        border-radius: 10px;
        li {
            list-style: none;
            padding: 0.5rem;
            margin: 0.5rem 0;
            cursor: pointer;
            transition: all 0.3s ease;           
            &:hover a, &:hover h6, &:hover span{                
                color: theme-color('primary');
            }
            a {
                text-decoration: none;
                color: theme-color('dark');
                text-transform: capitalize;
                transition: all 0.2s;
            }
        }
    }
}
.sidebar.show {
    visibility: visible;
    opacity: 1;
    overflow-y: auto;
}

@media screen and (min-width: 998px) {
    .sidebar {
        display: none;
    }
}
